import React from 'react';
import {StyleSheet, Text, View, Image} from 'react-native';
import { DrawerActions } from 'react-navigation';
import {MaterialIcons} from '@expo/vector-icons';

export default function Header({navigation}) {
    const openMenu = () => {
        navigation.openDrawer()
    }
    return (
        <View style={styles.header}>
            
            <View>
                <Image 
                style={styles.tinyLogo}
                source={require('../assets/logo.png')} />
            </View>
        </View>
    );
}

const styles = StyleSheet.create({
    header: {
        width: '100%',
        height: '100%',
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'center',
    },
    headerText: {
        fontweight: 'bold',
        fontSize: 20,
        color: '#333',
        letterSpacing: 1,
    },
    icon: {
        position: 'absolute',
        left: -75
    },
    tinyLogo: {
        width:120,
        height:35,
    },
})